Bug 1562964 - Review Request: python-pycares - Python interface for c-ares
Summary: Review Request: python-pycares - Python interface for c-ares
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1563830
TreeView+ depends on / blocked
 
Reported: 2018-04-02 19:24 UTC by Matthieu Saulnier
Modified: 2018-04-15 18:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 22:58:00 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Matthieu Saulnier 2018-04-02 19:24:28 UTC
Spec URL: https://fantom.fedorapeople.org/python-pycares.spec
SRPM URL: https://fantom.fedorapeople.org/python-pycares-2.3.0-1.fc27.src.rpm
Description:
pycares is a Python module which provides an interface to
c-ares. c-ares is a C library that performs DNS requests and name
resolutions asynchronously.

Fedora Account System Username: fantom

Comment 1 Robert-André Mauchin 🐧 2018-04-02 23:43:41 UTC
 - Same as before, there's no need to duplicate the code to build python 2 and python 3 targets:

%prep
%autosetup

%build
%py2_build

%if %{with python3}
%py3_build
%endif # with python3

# Build sphinx documentation
pushd docs/
make html
popd # docs

%install
# Must do the python3 install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if %{with python3}
%py3_install
%endif # with python3
%py2_install

   and so on for %check and %files

Comment 2 Robert-André Mauchin 🐧 2018-04-04 21:01:55 UTC
Proposed SPEC:

# set upstream name variable
%global srcname pycares


%if 0%{?fedora}
%bcond_without python3
%else
%bcond_with python3
%endif

Name:           python-pycares
Version:        2.3.0
Release:        1%{?dist}
Summary:        Python interface for c-ares

License:        MIT
URL:            https://github.com/saghul/pycares
Source0:        https://github.com/saghul/%{srcname}/archive/%{srcname}-%{version}.tar.gz

BuildRequires:  python2-devel
# for docs
BuildRequires:  python2-sphinx
%if %{with python3}
BuildRequires:  python3-devel
%endif # with python3

%description
pycares is a Python module which provides an interface to
c-ares. c-ares is a C library that performs DNS requests and name
resolutions asynchronously.


%package     -n python2-%{srcname}
Summary:        Python interface for c-ares

%description -n python2-%{srcname}
pycares is a Python module which provides an interface to
c-ares. c-ares is a C library that performs DNS requests and name
resolutions asynchronously.


%if %{with python3}
%package     -n python3-%{srcname}
Summary:        Python interface for c-ares

%description -n python3-%{srcname}
pycares is a Python module which provides an interface to
c-ares. c-ares is a C library that performs DNS requests and name
resolutions asynchronously.
%endif # with python3


%package     -n python-%{srcname}-doc
Summary:        Documentation for python-pycares
BuildArch:      noarch
Requires:       python2-%{srcname}

%description -n python-%{srcname}-doc
pycares is a Python module which provides an interface to
c-ares. c-ares is a C library that performs DNS requests and name
resolutions asynchronously.

This package contains documentation in reST and HTML formats.


%prep
%autosetup -n %{srcname}-%{srcname}-%{version}


%build
%py2_build

%if %{with python3}
%py3_build
%endif # with python3

# Build sphinx documentation
pushd docs/
make html
popd # docs


%install
# Must do the python3 install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if %{with python3}
%py3_install
%endif # with python3

%py2_install

# Install html docs
mkdir -p %{buildroot}%{_pkgdocdir}/
cp -pr docs/_build/html %{buildroot}%{_pkgdocdir}/

# Move sources
mkdir -p %{buildroot}%{_pkgdocdir}/rst/
mv -f %{buildroot}%{_pkgdocdir}/html/_sources/* %{buildroot}%{_pkgdocdir}/rst/
rmdir %{buildroot}%{_pkgdocdir}/html/_sources/

# Remove buildinfo sphinx documentation
rm -rf %{buildroot}%{_pkgdocdir}/html/.buildinfo

# Fix non-standard modes (775)
chmod 755 %{buildroot}%{python2_sitearch}/%{srcname}/_core.so
chmod 755 %{buildroot}%{python3_sitearch}/%{srcname}/_core.cpython-*.so


%check
%{__python2} setup.py test -s pycares._core
%if %{with python3}
%{__python3} setup.py test -s pycares._core
%endif


%files -n python2-%{srcname}
%license LICENSE
%doc README.rst ChangeLog
# For arch-specific packages: sitearch
%{python2_sitearch}/%{srcname}/
%{python2_sitearch}/%{srcname}-%{version}-*.egg-info/


%if %{with python3}
%files -n python3-%{srcname}
%license LICENSE
%doc README.rst ChangeLog
# For arch-specific packages: sitearch
%{python3_sitearch}/%{srcname}/
%{python3_sitearch}/%{srcname}-%{version}-*.egg-info/
%endif # with python3


%files -n python-%{srcname}-doc
%doc examples
%{_pkgdocdir}/html/
%{_pkgdocdir}/rst/


%changelog
* Mon Apr  2 2018 Matthieu Saulnier <fantom@fedoraproject.org> - 2.3.0-1
- Initial package

Comment 3 Robert-André Mauchin 🐧 2018-04-04 21:04:18 UTC
Actually for got to add the python provides:


%{?python_provide:%python_provide python2-%{srcname}}

%{?python_provide:%python_provide python3-%{srcname}}

Comment 4 Matthieu Saulnier 2018-04-04 21:32:34 UTC
hi! thanks for your work. It seems we are working in the same time on it :)

this is the changelog, including your advises:

- Remove useless code duplication step
- Add missing %%python_provide macro in subpackages
- Cleanup rst doc script in %%install section
- Fix file ownership in doc subpackage

Spec URL: https://fantom.fedorapeople.org/python-pycares.spec
SRPM URL: https://fantom.fedorapeople.org/python-pycares-2.3.0-2.fc27.src.rpm

Comment 5 Robert-André Mauchin 🐧 2018-04-04 21:39:46 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "NTP", "ISC", "Unknown or generated",
     "BSD (3 clause)". 52 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/python-pycares/review-
     python-pycares/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Uses parallel make %{?_smp_mflags} macro.
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-pycares , python3-pycares
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-pycares-2.3.0-1.fc29.x86_64.rpm
          python3-pycares-2.3.0-1.fc29.x86_64.rpm
          python-pycares-doc-2.3.0-1.fc29.noarch.rpm
          python-pycares-debuginfo-2.3.0-1.fc29.x86_64.rpm
          python-pycares-debugsource-2.3.0-1.fc29.x86_64.rpm
          python-pycares-2.3.0-1.fc29.src.rpm
python-pycares-doc.noarch: W: spelling-error %description -l en_US reST -> rest, re ST, re-ST
python-pycares-debugsource.x86_64: W: no-documentation
6 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 6 Matthieu Saulnier 2018-04-04 22:29:14 UTC
thanks a lot for the review

I requested for the new SCM repo here: https://pagure.io/releng/fedora-scm-requests/issue/5604

Comment 7 Gwyn Ciesla 2018-04-05 12:50:21 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pycares

Comment 8 Fedora Update System 2018-04-05 23:25:32 UTC
python-pycares-2.3.0-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-336f17013e

Comment 9 Fedora Update System 2018-04-05 23:39:32 UTC
python-pycares-2.3.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f670107629

Comment 10 Fedora Update System 2018-04-05 23:51:33 UTC
python-pycares-2.3.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e1a27f7580

Comment 11 Fedora Update System 2018-04-06 16:52:36 UTC
python-pycares-2.3.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e1a27f7580

Comment 12 Fedora Update System 2018-04-06 17:17:39 UTC
python-pycares-2.3.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f670107629

Comment 13 Fedora Update System 2018-04-06 18:56:25 UTC
python-pycares-2.3.0-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-336f17013e

Comment 14 Fedora Update System 2018-04-10 22:58:00 UTC
python-pycares-2.3.0-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-04-15 14:44:48 UTC
python-pycares-2.3.0-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-04-15 18:13:15 UTC
python-pycares-2.3.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.